Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
reverse.hpp File Reference

## Classes
struct | ranges::reverse_view< Rng >
struct | ranges::reverse_view< reverse_view< Rng > >
struct | ranges::views::reverse_fn

## Typedefs
template<typename Rng >
using | ranges::cpp20::reverse_view = ranges::reverse_view< Rng >

## Functions
template<typename Rng >
| ranges::reverse_view (reverse_view< Rng >) -> reverse_view< reverse_view< Rng >>
template<typename Rng >
| ranges::reverse_view (Rng &&) -> reverse_view< views::all_t< Rng >>

## Variables
template<typename Rng >
constexpr bool | ranges::enable_borrowed_range< reverse_view< Rng > >

## Typedef Documentation

## ◆ reverse_view

template<typename Rng >

using ranges::cpp20::reverse_view = typedef ranges::reverse_view<Rng>

Precondition
  requires `view_<Rng> && bidirectional_range<Rng>`